Skip to main content
POST
/
v0
/
billingSchedules
/
{id}
/
invoices
Generate staged invoices
curl --request POST \
  --url https://api.paygentic.io/v0/billingSchedules/{id}/invoices \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "schedule_invoice",
      "orderId": "<string>",
      "billingScheduleId": "<string>",
      "merchantId": "<string>",
      "periodStart": "2023-11-07T05:31:56Z",
      "periodEnd": "2023-11-07T05:31:56Z",
      "dueDate": "2023-11-07T05:31:56Z",
      "amount": "<string>",
      "lineItems": [
        {
          "description": "<string>",
          "quantity": "<string>",
          "unitPrice": "<string>",
          "subtotal": "<string>",
          "lineKey": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Response

Staged invoices generated

object
enum<string>
required
Available options:
list
data
object[]
required
pagination
object
required

Offset-based pagination response.